{# Text Picture: Text Only #}
{%- macro textOnly(content) -%}
    <div class="{{ content.container|default('container') }}">
        <div class="text-picture text-picture--text-only {{ content.textAlign|default('text-left') }} mb-5">
            {{ text(content, caller()) }}
        </div>
    </div>
{%- endmacro -%}

{# Text Picture: Picture Only #}
{%- macro pictureOnly(content) -%}
    <div class="{{ content.container|default('container') }}">
        <div class="text-picture text-picture--picture-only {{ content.textAlign|default('text-left') }} mb-5">
            {{ picture(content) }}
        </div>
    </div>
{%- endmacro -%}

{# Text Picture: Text Only #}
{%- macro textLeftPictureRight(content) -%}
    <div class="{{ content.container|default('container') }}">
        <div class="text-picture text-picture--text-only {{ content.textAlign|default('text-left') }} mb-5">
            <div class="row align-items-center">
                <div class="col-sm-6">
                    {{ text(content, caller()) }}
                </div>
                <div class="col-sm-6">
                    {{ picture(content) }}
                </div>
            </div>
        </div>
    </div>
{%- endmacro -%}

{# Text Picture: Text Only #}
{%- macro textRightPictureLeft(content) -%}
    <div class="{{ content.container|default('container') }}">
        <div class="text-picture text-picture--text-only {{ content.textAlign|default('text-left') }} mb-5">
            <div class="row align-items-center">
                <div class="col-sm-6 order-sm-7">
                    {{ text(content, caller()) }}
                </div>
                <div class="col-sm-6 order-sm-1">
                    {{ picture(content) }}
                </div>
            </div>
        </div>
    </div>
{%- endmacro -%}

{# Text Picture: Text Only #}
{%- macro pictureAboveText(content) -%}
    <div class="{{ content.container|default('container') }}">
        <div class="text-picture text-picture--picture-above-text {{ content.textAlign|default('text-left') }} mb-5">
            {{ picture(content) }}
            {{ text(content, caller()) }}
        </div>
    </div>
{%- endmacro -%}

{%- macro text(content, textContent) -%}
    <div class="text-picture__text">
        {% if content.title %}
            <h2>{{content.title}}</h2>
        {% endif %}

        {% if content.subTitle %}
            <h3>{{content.subTitle}}</h3>
        {% endif %}

        {{ textContent }}

        {% if content.ctaUrl and content.ctaText %}
            <p>
                <a href="{{content.ctaUrl}}" class="btn {{ content.ctaStyle|default('btn-primary') }}">{{content.ctaText}}</a>
            </p>
        {% endif %}
    </div>
{%- endmacro -%}

{%- macro picture(content) -%}
    <div class="text-picture__picture text-center">
        {% if content.picture_src %}
            <img src="{{content.picture_src}}" alt="{{content.title}}" class="text-picture__picture__img img-fluid"/>
        {% endif %}
        {% if content.picture_comment %}
            <div class="text-picture__picture__comment">
                {{content.picture_comment}}
            </div>
        {% endif %}
    </div>
{%- endmacro -%}
